## GimpAspectPreview GimpAspectPreview — A widget providing a preview with fixed aspect ratio. |

## Functions

GtkWidget * | gimp_aspect_preview_new ()

## Properties

gpointer | drawable | Read / Write / Construct Only

## Types and Values

| GimpAspectPreview

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBox
                            ╰── GimpPreview
                                ╰── GimpAspectPreview

## Implemented Interfaces

GimpAspectPreview implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

A widget providing a preview with fixed aspect ratio.

## Functions

### gimp_aspect_preview_new ()

    GtkWidget *
    gimp_aspect_preview_new (GimpDrawable *drawable,
                             gboolean *toggle);

Creates a new GimpAspectPreview widget for `drawable` . See also `gimp_drawable_preview_new()`.

In GIMP 2.2 the `toggle` parameter was provided to conviently access the state of the "Preview" check-button. This is not any longer necessary as the preview itself now stores this state, as well as the scroll offset.

#### Parameters

drawable | a GimpDrawable |
toggle | unused |

#### Returns

a new GimpAspectPreview.

Since GIMP 2.2

## Types and Values

### GimpAspectPreview

    typedef struct _GimpAspectPreview GimpAspectPreview;

## Property Details

### The `“drawable”` property

      “drawable”                 gpointer

Flags: Read / Write / Construct Only

Since GIMP 2.4